Debian Bug report logs - #447022
/usr/share/aclocal/libtool.m4: string append detection ineffective on dash

version graph

Package: fakeroot; Maintainer for fakeroot is Clint Adams <clint@debian.org>; Source for fakeroot is src:fakeroot.

Reported by: Clint Adams <schizo@debian.org>

Date: Wed, 17 Oct 2007 13:36:01 UTC

Severity: normal

Found in version fakeroot/1.9.2

Fixed in version fakeroot/1.9.3

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
New Bug report received and forwarded. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/aclocal/libtool.m4: string append detection ineffective on dash
Date: Wed, 17 Oct 2007 09:34:12 -0400
Package: libtool
Version: 2.1a+cvs1.2460+20070510-1
File: /usr/share/aclocal/libtool.m4

$lt_shell_append is set to "yes" when /bin/sh is dash.
I think this is because ./configure is re-exec'ing itself
under /bin/bash even though there is no apparent reason to
and it is still setting CONFIG_SHELL to /bin/sh.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #10 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>, 447022@bugs.debian.org
Subject: Re: Bug#447022: /usr/share/aclocal/libtool.m4: string append detection ineffective on dash
Date: Wed, 17 Oct 2007 16:01:06 +0200
Hello Clint,

Thanks for the report.

* Clint Adams wrote on Wed, Oct 17, 2007 at 03:34:12PM CEST:
> Package: libtool
> Version: 2.1a+cvs1.2460+20070510-1
> File: /usr/share/aclocal/libtool.m4
> 
> $lt_shell_append is set to "yes" when /bin/sh is dash.
> I think this is because ./configure is re-exec'ing itself
> under /bin/bash even though there is no apparent reason to
> and it is still setting CONFIG_SHELL to /bin/sh.

Please show how exactly you invoked configure.  Do you have
either of SHELL or CONFIG_SHELL set in your environment?

Would you please try the following,

  sed '1a\
    set -x
    /^ac_hostname/a\
    set +x' configure >configure.tmp
  mv configure.tmp configure
  chmod +x configure
 
then rerun configuration and post the first part of the output
(until the normal stuff begins)?  Thanks.

Cheers,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #15 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
Cc: 447022@bugs.debian.org
Subject: Re: Bug#447022: /usr/share/aclocal/libtool.m4: string append detection ineffective on dash
Date: Wed, 17 Oct 2007 10:08:41 -0400
On Wed, Oct 17, 2007 at 04:01:06PM +0200, Ralf Wildenhues wrote:
> Please show how exactly you invoked configure.  Do you have
> either of SHELL or CONFIG_SHELL set in your environment?

$srcdir/configure

SHELL=/bin/zsh
CONFIG_SHELL is unset

(if I do CONFIG_SHELL=/bin/dash $srcdir/configure, it works fine)

> Would you please try the following,
> 
>   sed '1a\
>     set -x
>     /^ac_hostname/a\
>     set +x' configure >configure.tmp
>   mv configure.tmp configure
>   chmod +x configure
>  
> then rerun configuration and post the first part of the output
> (until the normal stuff begins)?  Thanks.

+ DUALCASE=1
+ export DUALCASE
+ test -n 
+ as_cr_letters=abcdefghijklmnopqrstuvwxyz
+ as_cr_LETTERS=ABCDEFGHIJKLMNOPQRSTUVWXYZ
+ as_cr_Letters=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
+ as_cr_digits=0123456789
+ as_cr_alnum=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
+ test  != set
+ echo #! /bin/sh
+ echo exit 0
+ chmod +x conf27092.sh
+ PATH_SEPARATOR=:
+ rm -f conf27092.sh
+ as_unset=unset
+ as_nl=

+ IFS= 	

+ as_myself=/home/clint/packages/fakeroot/fakeroot/configure
+ test x/home/clint/packages/fakeroot/fakeroot/configure = x
+ test ! -f /home/clint/packages/fakeroot/fakeroot/configure
+ unset ENV
+ unset MAIL
+ unset MAILPATH
+ PS1=$ 
+ PS2=> 
+ PS4=+ 
+ set +x
+ eval LANG=C
+ LANG=C
+ export LANG
+ set +x
+ eval LANGUAGE=C
+ LANGUAGE=C
+ export LANGUAGE
+ set +x
+ eval LC_ADDRESS=C
+ LC_ADDRESS=C
+ export LC_ADDRESS
+ set +x
+ eval LC_ALL=C
+ LC_ALL=C
+ export LC_ALL
+ set +x
+ eval LC_COLLATE=C
+ LC_COLLATE=C
+ export LC_COLLATE
+ set +x
+ eval LC_CTYPE=C
+ LC_CTYPE=C
+ export LC_CTYPE
+ set +x
+ eval LC_IDENTIFICATION=C
+ LC_IDENTIFICATION=C
+ export LC_IDENTIFICATION
+ set +x
+ eval LC_MEASUREMENT=C
+ LC_MEASUREMENT=C
+ export LC_MEASUREMENT
+ set +x
+ eval LC_MESSAGES=C
+ LC_MESSAGES=C
+ export LC_MESSAGES
+ set +x
+ eval LC_MONETARY=C
+ LC_MONETARY=C
+ export LC_MONETARY
+ set +x
+ eval LC_NAME=C
+ LC_NAME=C
+ export LC_NAME
+ set +x
+ eval LC_NUMERIC=C
+ LC_NUMERIC=C
+ export LC_NUMERIC
+ set +x
+ eval LC_PAPER=C
+ LC_PAPER=C
+ export LC_PAPER
+ set +x
+ eval LC_TELEPHONE=C
+ LC_TELEPHONE=C
+ export LC_TELEPHONE
+ set +x
+ eval LC_TIME=C
+ LC_TIME=C
+ export LC_TIME
+ expr a : \(a\)
+ expr 00001 : .*\(...\)
+ test X001 = X001
+ as_expr=expr
+ basename -- /
+ test X/ = X/
+ as_basename=basename
+ basename -- /home/clint/packages/fakeroot/fakeroot/configure
+ as_me=configure
+ unset CDPATH
+ test x = x
+ as_have_required=yes
+ test yes = yes
+ as_candidate_shells=
+ as_save_IFS= 	

+ IFS=:
+ IFS= 	

+ test -z /bin
+ as_candidate_shells= /bin/sh
+ as_candidate_shells= /bin/sh /bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5
+ IFS= 	

+ test -z /usr/bin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5
+ IFS= 	

+ test -z /usr/local/sbin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5
+ IFS= 	

+ test -z /usr/local/bin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5
+ IFS= 	

+ test -z /usr/sbin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5
+ IFS= 	

+ test -z /usr/bin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5
+ IFS= 	

+ test -z /sbin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5
+ IFS= 	

+ test -z /bin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5
+ IFS= 	

+ test -z /usr/games
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5
+ IFS= 	

+ test -z /usr/bin/X11
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh /usr/bin/X11/sh5
+ IFS= 	

+ test -z /home/clint/bin
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh /usr/bin/X11/sh5 /home/clint/bin/sh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh /usr/bin/X11/sh5 /home/clint/bin/sh /home/clint/bin/bash
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh /usr/bin/X11/sh5 /home/clint/bin/sh /home/clint/bin/bash /home/clint/bin/ksh
+ as_candidate_shells= /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /usr/local/sbin/sh /usr/local/sbin/bash /usr/local/sbin/ksh /usr/local/sbin/sh5 /usr/local/bin/sh /usr/local/bin/bash /usr/local/bin/ksh /usr/local/bin/sh5 /usr/sbin/sh /usr/sbin/bash /usr/sbin/ksh /usr/sbin/sh5 /usr/bin/sh /usr/bin/bash /usr/bin/ksh /usr/bin/sh5 /sbin/sh /sbin/bash /sbin/ksh /sbin/sh5 /bin/sh /bin/bash /bin/ksh /bin/sh5 /usr/games/sh /usr/games/bash /usr/games/ksh /usr/games/sh5 /usr/bin/X11/sh /usr/bin/X11/bash /usr/bin/X11/ksh /usr/bin/X11/sh5 /home/clint/bin/sh /home/clint/bin/bash /home/clint/bin/ksh /home/clint/bin/sh5
+ IFS= 	

+ test -f /bin/sh
+ CONFIG_SHELL=/bin/sh
+ as_have_required=yes
+ /bin/sh
+ test -f /bin/bash
+ CONFIG_SHELL=/bin/bash
+ as_have_required=yes
+ /bin/bash
+ break
+ test x/bin/bash != x
+ unset BASH_ENV
+ unset ENV
+ export CONFIG_SHELL
+ exec /bin/bash /home/clint/packages/fakeroot/fakeroot/configure
+ DUALCASE=1
+ export DUALCASE
+ test -n ''
+ case `(set -o) 2>/dev/null` in
+ set -o posix
+ as_cr_letters=abcdefghijklmnopqrstuvwxyz
+ as_cr_LETTERS=ABCDEFGHIJKLMNOPQRSTUVWXYZ
+ as_cr_Letters=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
+ as_cr_digits=0123456789
+ as_cr_alnum=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
+ test '' '!=' set
+ echo '#! /bin/sh'
+ echo 'exit 0'
+ chmod +x conf27092.sh
+ PATH_SEPARATOR=:
+ rm -f conf27092.sh
+ as_unset=unset
+ as_nl='
'
+ IFS=' 	
'
+ case $0 in
+ as_myself=/home/clint/packages/fakeroot/fakeroot/configure
+ test x/home/clint/packages/fakeroot/fakeroot/configure = x
+ test '!' -f /home/clint/packages/fakeroot/fakeroot/configure
+ for as_var in ENV MAIL MAILPATH
+ unset ENV
+ for as_var in ENV MAIL MAILPATH
+ unset MAIL
+ for as_var in ENV MAIL MAILPATH
+ unset MAILPATH
+ PS1='$ '
+ PS2='> '
+ PS4='+ '
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LANG=C
++ LANG=C
+ export LANG
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LANGUAGE=C
++ LANGUAGE=C
+ export LANGUAGE
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_ADDRESS=C
++ LC_ADDRESS=C
+ export LC_ADDRESS
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_ALL=C
++ LC_ALL=C
+ export LC_ALL
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_COLLATE=C
++ LC_COLLATE=C
+ export LC_COLLATE
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_CTYPE=C
++ LC_CTYPE=C
+ export LC_CTYPE
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_IDENTIFICATION=C
++ LC_IDENTIFICATION=C
+ export LC_IDENTIFICATION
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_MEASUREMENT=C
++ LC_MEASUREMENT=C
+ export LC_MEASUREMENT
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_MESSAGES=C
++ LC_MESSAGES=C
+ export LC_MESSAGES
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_MONETARY=C
++ LC_MONETARY=C
+ export LC_MONETARY
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_NAME=C
++ LC_NAME=C
+ export LC_NAME
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_NUMERIC=C
++ LC_NUMERIC=C
+ export LC_NUMERIC
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_PAPER=C
++ LC_PAPER=C
+ export LC_PAPER
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_TELEPHONE=C
++ LC_TELEPHONE=C
+ export LC_TELEPHONE
+ for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME
+ set +x
+ eval LC_TIME=C
++ LC_TIME=C
+ export LC_TIME
+ expr a : '\(a\)'
++ expr 00001 : '.*\(...\)'
+ test X001 = X001
+ as_expr=expr
++ basename -- /
+ test X/ = X/
+ as_basename=basename
++ basename -- /home/clint/packages/fakeroot/fakeroot/configure
+ as_me=configure
+ unset CDPATH
+ test x/bin/bash = x
+ eval 'as_func_return () {
  (exit $1)
}
as_func_success () {
  as_func_return 0
}
as_func_failure () {
  as_func_return 1
}
as_func_ret_success () {
  return 0
}
as_func_ret_failure () {
  return 1
}

exitcode=0
if as_func_success; then
  :
else
  exitcode=1
  echo as_func_success failed.
fi

if as_func_failure; then
  exitcode=1
  echo as_func_failure succeeded.
fi

if as_func_ret_success; then
  :
else
  exitcode=1
  echo as_func_ret_success failed.
fi

if as_func_ret_failure; then
  exitcode=1
  echo as_func_ret_failure succeeded.
fi

if ( set x; as_func_ret_success y && test x = "$1" ); then
  :
else
  exitcode=1
  echo positional parameters were not saved.
fi

test $exitcode = 0'
++ exitcode=0
++ as_func_success
++ as_func_return 0
++ exit 0
++ :
++ as_func_failure
++ as_func_return 1
++ exit 1
++ as_func_ret_success
++ return 0
++ :
++ as_func_ret_failure
++ return 1
++ set x
++ as_func_ret_success y
++ return 0
++ test x = x
++ :
++ test 0 = 0
+ as_lineno_1=426
+ as_lineno_2=427
+ test x426 '!=' x427
++ expr 426 + 1
+ test x427 = x427
+ as_dirname=dirname
+ ECHO_C=
+ ECHO_N=
+ ECHO_T=
+ case `echo -n x` in
++ echo -n x
+ ECHO_N=-n
+ expr a : '\(a\)'
++ expr 00001 : '.*\(...\)'
+ test X001 = X001
+ as_expr=expr
+ rm -f conf27092 conf27092.exe conf27092.file
+ test -d conf27092.dir
+ rm -f conf27092.dir
+ mkdir conf27092.dir
+ echo
+ ln -s conf27092.file conf27092
+ as_ln_s='ln -s'
+ ln -s conf27092.file conf27092.dir
+ test '!' -f conf27092.exe
+ rm -f conf27092 conf27092.exe conf27092.dir/conf27092.file conf27092.file
+ rmdir conf27092.dir
+ mkdir -p .
+ as_mkdir_p=:
+ test -x /
+ as_test_x='test -x'
+ as_executable_p='test -x'
+ as_tr_cpp='eval sed '\''y%*abcdefghijklmnopqrstuvwxyz%PABCDEFGHIJKLMNOPQRSTUVWXYZ%;s%[^_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]%_%g'\'''
+ as_tr_sh='eval sed '\''y%*+%pp%;s%[^_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]%_%g'\'''
+ SHELL=/bin/bash
+ case X$lt_ECHO in
+ ECHO=echo
+ test X = X--no-reexec
+ test X = X--fallback-echo
+ test 'X\t' = 'X\t'
+ :
+ test X = X--fallback-echo
+ unset CDPATH
+ test -z ''
+ test X '!=' Xset
+ for cmd in ''\''sed 50q "$0"'\''' ''\''sed 20q "$0"'\''' ''\''sed 10q "$0"'\''' ''\''sed 2q "$0"'\''' ''\''echo test'\'''
+ break
+ test 'X\t' = 'X\t'
+ echo_testing_string='#! /bin/sh
set -x
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.61 for fakeroot 1.8.2.
#
# Report bugs to <schizo@debian.org>.
#
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
# 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '\''${1+"$@"}'\''='\''"$@"'\''
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in
  *posix*) set -o posix ;;
esac

fi




# PATH needs CR
# Avoid depending upon Character Ranges.
as_cr_letters='\''abcdefghijklmnopqrstuvwxyz'\''
as_cr_LETTERS='\''ABCDEFGHIJKLMNOPQRSTUVWXYZ'\''
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='\''0123456789'\''
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR='\'';'\''
  else'
+ test 'X#! /bin/sh
set -x
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.61 for fakeroot 1.8.2.
#
# Report bugs to <schizo@debian.org>.
#
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
# 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '\''${1+"$@"}'\''='\''"$@"'\''
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in
  *posix*) set -o posix ;;
esac

fi




# PATH needs CR
# Avoid depending upon Character Ranges.
as_cr_letters='\''abcdefghijklmnopqrstuvwxyz'\''
as_cr_LETTERS='\''ABCDEFGHIJKLMNOPQRSTUVWXYZ'\''
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='\''0123456789'\''
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR='\'';'\''
  else' = 'X#! /bin/sh
set -x
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.61 for fakeroot 1.8.2.
#
# Report bugs to <schizo@debian.org>.
#
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
# 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '\''${1+"$@"}'\''='\''"$@"'\''
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in
  *posix*) set -o posix ;;
esac

fi




# PATH needs CR
# Avoid depending upon Character Ranges.
as_cr_letters='\''abcdefghijklmnopqrstuvwxyz'\''
as_cr_LETTERS='\''ABCDEFGHIJKLMNOPQRSTUVWXYZ'\''
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='\''0123456789'\''
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR='\'';'\''
  else'
+ :
+ lt_ECHO=echo
+ test Xecho = 'X/bin/bash /home/clint/packages/fakeroot/fakeroot/configure --fallback-echo'
+ exec
++ sed 1q
+ ac_hostname=buildhost857.clint.debian.net
+ set +x




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #20 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: bug-libtool@gnu.org, 447022@bugs.debian.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Fri, 14 Dec 2007 20:39:36 -0500
On Fri, Dec 14, 2007 at 01:59:34AM +0000, Colin Watson wrote:
> libtool used it. The _LT_CHECK_SHELL_FEATURES macro checks a number of
> shell features and determines accurately that the currently-running
> shell supports +=. Unfortunately, the currently-running shell is bash at
> this point, not dash. The reason for this is that configure has
> different logic for re-execing itself under a different shell from that
> used by libtool. libtool seems to try to account for this using:
> 
>   : ${SHELL="${CONFIG_SHELL-/bin/sh}"}
> 
> ... but at this point CONFIG_SHELL is not set, and so libtool ends up
> running under a different shell than the one that configure
> feature-tested.
> 
> I've had this mail postponed for several days in the hope of finding
> time to dig into this further, but I haven't found such time and I think
> it's better to send an incomplete report than none at all. Please let me
> know if there's anything you'd like me to investigate further.

It looks as though I filed
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=447022
and then completely forgot about it.

I suppose the easiest workaround is to explicitly set CONFIG_SHELL
since I don't particularly want to regress to libtool 1.5.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #25 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 459062@bugs.debian.org
Cc: 447022@bugs.debian.org
Subject: Re: Bug#459062: fakeroot: FTBFS with dash: eval: 1: libtool_args+=: not found
Date: Fri, 4 Jan 2008 10:38:49 -0500
On Fri, Jan 04, 2008 at 12:11:38PM +0100, Lucas Nussbaum wrote:
>  > eval: 1: libtool_args+=: not found
>  > eval: 1: compile_command+=: not found

This is a failure to work around #447022.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #30 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>
Cc: Colin Watson <cjwatson@ubuntu.com>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 16 Jan 2008 19:18:08 +0100
[ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=447022 aka.
  http://thread.gmane.org/gmane.comp.gnu.libtool.bugs/5879/focus=342902 ]

Hello, and sorry for the long delay.

* Clint Adams wrote on Sat, Dec 15, 2007 at 02:39:36AM CET:
> On Fri, Dec 14, 2007 at 01:59:34AM +0000, Colin Watson wrote:
> > libtool used it. The _LT_CHECK_SHELL_FEATURES macro checks a number of
> > shell features and determines accurately that the currently-running
> > shell supports +=. Unfortunately, the currently-running shell is bash at
> > this point, not dash. The reason for this is that configure has
> > different logic for re-execing itself under a different shell from that
> > used by libtool. libtool seems to try to account for this using:
> > 
> >   : ${SHELL="${CONFIG_SHELL-/bin/sh}"}

Actually, the generated libtool script should just have
  #! /bin/bash

as its first line, and not re-exececute itself at all.

OK, let's go step by step here: at the end of the trace posted in this
bug report, CONFIG_SHELL is exported and contains /bin/bash, and
likewise for SHELL.  That means config.status should contain as its
first line
  #! /bin/bash

and a dozen lines further down
  SHELL=${CONFIG_SHELL-/bin/bash}

and so, when ./config.status is executed (and eventually gets around to
creating the libtool script), the code
|     cat <<_LT_EOF >> "$cfgfile"
| #! $SHELL

should just put "#! /bin/bash" into it.

And in fact that is just what I get on my Debian etch when I try to
reproduce your setup as closely as possibl (tested with Libtool CVS
HEAD).

So I'm wondering where in the chain is the error?

> > ... but at this point CONFIG_SHELL is not set, and so libtool ends up
> > running under a different shell than the one that configure
> > feature-tested.
[...]
> I suppose the easiest workaround is to explicitly set CONFIG_SHELL

Thanks,
Ralf







Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #35 received at 447022@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Clint Adams <schizo@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 16 Jan 2008 18:44:30 +0000
On Wed, Jan 16, 2008 at 07:18:08PM +0100, Ralf Wildenhues wrote:
> [ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=447022 aka.
>   http://thread.gmane.org/gmane.comp.gnu.libtool.bugs/5879/focus=342902 ]
> 
> Hello, and sorry for the long delay.
> 
> * Clint Adams wrote on Sat, Dec 15, 2007 at 02:39:36AM CET:
> > On Fri, Dec 14, 2007 at 01:59:34AM +0000, Colin Watson wrote:
> > > libtool used it. The _LT_CHECK_SHELL_FEATURES macro checks a number of
> > > shell features and determines accurately that the currently-running
> > > shell supports +=. Unfortunately, the currently-running shell is bash at
> > > this point, not dash. The reason for this is that configure has
> > > different logic for re-execing itself under a different shell from that
> > > used by libtool. libtool seems to try to account for this using:
> > > 
> > >   : ${SHELL="${CONFIG_SHELL-/bin/sh}"}
> 
> Actually, the generated libtool script should just have
>   #! /bin/bash
> 
> as its first line, and not re-exececute itself at all.
> 
> OK, let's go step by step here: at the end of the trace posted in this
> bug report, CONFIG_SHELL is exported and contains /bin/bash, and
> likewise for SHELL.  That means config.status should contain as its
> first line
>   #! /bin/bash
> 
> and a dozen lines further down
>   SHELL=${CONFIG_SHELL-/bin/bash}

In my failing test case, I have /bin/sh in both these places, not
/bin/bash.

> And in fact that is just what I get on my Debian etch when I try to
> reproduce your setup as closely as possibl (tested with Libtool CVS
> HEAD).

What does your /bin/sh symlink point to?

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #40 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Colin Watson <cjwatson@debian.org>
Cc: Clint Adams <schizo@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: Bug#447022: libtool shell feature checks run with wrong shell
Date: Wed, 16 Jan 2008 19:59:14 +0100
* Colin Watson wrote on Wed, Jan 16, 2008 at 07:44:30PM CET:
> On Wed, Jan 16, 2008 at 07:18:08PM +0100, Ralf Wildenhues wrote:
> > 
> > Actually, the generated libtool script should just have
> >   #! /bin/bash
> > 
> > as its first line, and not re-exececute itself at all.
> > 
> > OK, let's go step by step here: at the end of the trace posted in this
> > bug report, CONFIG_SHELL is exported and contains /bin/bash, and
> > likewise for SHELL.  That means config.status should contain as its
> > first line
> >   #! /bin/bash
> > 
> > and a dozen lines further down
> >   SHELL=${CONFIG_SHELL-/bin/bash}
> 
> In my failing test case, I have /bin/sh in both these places, not
> /bin/bash.

Hmm.  Can you rerun the test, with the 'set +x' removed that I asked you
to add?  Probably a good idea to gzip the output to not exceed
bug-libtool list size limits.

> > And in fact that is just what I get on my Debian etch when I try to
> > reproduce your setup as closely as possibl (tested with Libtool CVS
> > HEAD).
> 
> What does your /bin/sh symlink point to?

Normally to bash.  For doing the test, however, I did this:
Let /bin/sh point to dash.  Start zsh, export SHELL=/bin/zsh, unset
CONFIG_SHELL, run ../libtool/configure.

My trace output looks very much like yours, AFAICS.

Cheers,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #45 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 16 Jan 2008 14:43:22 -0500
On Wed, Jan 16, 2008 at 06:44:30PM +0000, Colin Watson wrote:
> In my failing test case, I have /bin/sh in both these places, not
> /bin/bash.

Same here. I will note that a ./config.status --recheck
seems to "fix" things.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #50 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>
Cc: Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 16 Jan 2008 20:59:46 +0100
* Clint Adams wrote on Wed, Jan 16, 2008 at 08:43:22PM CET:
> On Wed, Jan 16, 2008 at 06:44:30PM +0000, Colin Watson wrote:
> > In my failing test case, I have /bin/sh in both these places, not
> > /bin/bash.
> 
> Same here.

Let's find out what the differences in the setups are.  Which version
of dash?  Which m4 and autoconf versions were used to bootstrap the
package in question?  BTW, which package is this that this happened
with, libtool or some libtool-using one?

I tried with dash 0.5.3-7, Libtool CVS HEAD, M4 1.4.10a (CVS
branch-1_4).  I can try some Debian packages next, but which should I
use?

> I will note that a ./config.status --recheck seems to "fix" things.

Yes, that's what I would expect.

Thanks,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #55 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>, Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 30 Jan 2008 20:14:33 +0100
* Ralf Wildenhues wrote on Wed, Jan 16, 2008 at 08:59:46PM CET:
> * Clint Adams wrote on Wed, Jan 16, 2008 at 08:43:22PM CET:
> > On Wed, Jan 16, 2008 at 06:44:30PM +0000, Colin Watson wrote:
> > > In my failing test case, I have /bin/sh in both these places, not
> > > /bin/bash.
> > 
> > Same here.
> 
> Let's find out what the differences in the setups are.  Which version
> of dash?  Which m4 and autoconf versions were used to bootstrap the
> package in question?  BTW, which package is this that this happened
> with, libtool or some libtool-using one?
> 
> I tried with dash 0.5.3-7, Libtool CVS HEAD, M4 1.4.10a (CVS
> branch-1_4).  I can try some Debian packages next, but which should I
> use?

Ping?

Cheers,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #60 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Wed, 30 Jan 2008 14:19:22 -0500
On Wed, Jan 16, 2008 at 08:59:46PM +0100, Ralf Wildenhues wrote:
> Let's find out what the differences in the setups are.  Which version
> of dash?  Which m4 and autoconf versions were used to bootstrap the
> package in question?  BTW, which package is this that this happened
> with, libtool or some libtool-using one?
> 
> I tried with dash 0.5.3-7, Libtool CVS HEAD, M4 1.4.10a (CVS
> branch-1_4).  I can try some Debian packages next, but which should I
> use?

Sorry, I seem to have missed this message.  The package in question is
fakeroot 1.9.1.

autoconf 2.61-5
automake 1:1.10+nogfdl-1
dash 0.5.4-6
libtool 2.1a+cvs1.2460+20070510-1
m4 1.4.10-1




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #65 received at 447022@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Clint Adams <schizo@debian.org>, 447022@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>, bug-libtool@gnu.org
Subject: Re: Bug#447022: libtool shell feature checks run with wrong shell
Date: Wed, 30 Jan 2008 20:48:10 +0100
On Wed, Jan 30, 2008 at 02:19:22PM -0500, Clint Adams wrote:
> On Wed, Jan 16, 2008 at 08:59:46PM +0100, Ralf Wildenhues wrote:
> > Let's find out what the differences in the setups are.  Which version
> > of dash?  Which m4 and autoconf versions were used to bootstrap the
> > package in question?  BTW, which package is this that this happened
> > with, libtool or some libtool-using one?
> > 
> > I tried with dash 0.5.3-7, Libtool CVS HEAD, M4 1.4.10a (CVS
> > branch-1_4).  I can try some Debian packages next, but which should I
> > use?
> 
> Sorry, I seem to have missed this message.  The package in question is
> fakeroot 1.9.1.
> 
> autoconf 2.61-5
> automake 1:1.10+nogfdl-1
> dash 0.5.4-6
> libtool 2.1a+cvs1.2460+20070510-1
> m4 1.4.10-1

Please note that 2.1a+cvs1.2525+20071016-1 is the latest version in
experimental.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #70 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 447022@bugs.debian.org, Colin Watson <cjwatson@debian.org>, bug-libtool@gnu.org
Subject: Re: Bug#447022: libtool shell feature checks run with wrong shell
Date: Wed, 30 Jan 2008 15:46:10 -0500
On Wed, Jan 30, 2008 at 08:48:10PM +0100, Kurt Roeckx wrote:
> Please note that 2.1a+cvs1.2525+20071016-1 is the latest version in
> experimental.

Thanks.  fakeroot 1.9.2 is generated with libtool
2.1a+cvs1.2525+20071016-1 and appears to suffer from the same problem.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #75 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>
Cc: Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Tue, 5 Feb 2008 23:45:37 +0100
* Clint Adams wrote on Wed, Jan 30, 2008 at 08:19:22PM CET:
> On Wed, Jan 16, 2008 at 08:59:46PM +0100, Ralf Wildenhues wrote:
> > Let's find out what the differences in the setups are.  Which version
> > of dash?  Which m4 and autoconf versions were used to bootstrap the
> > package in question?  BTW, which package is this that this happened
> > with, libtool or some libtool-using one?
[...]
> Sorry, I seem to have missed this message.  The package in question is
> fakeroot 1.9.1.
> 
> autoconf 2.61-5
> automake 1:1.10+nogfdl-1
> dash 0.5.4-6
> libtool 2.1a+cvs1.2460+20070510-1
> m4 1.4.10-1

Confirmed.  Thanks for the information.  This is a bug in fakeroot
rather than in libtool.  Well, probably it's under-documentation in
Autoconf.

Point is, both the current Libtool and Autoconf code assume that the
configure.ac author does not mess with $SHELL, and certainly should not
mess with it late in the script.  Unfortunately, however, Autoconf also
does not provide a public interface to give additional requirements on
the shell.  The patch below uses an undocumented interface, but this may
easily break with a different Autoconf version than the one I tried it
with.

Actually, I think the safer approach would be to just delete the test
completely, and let the user sort it out on Solaris manually by
  CONFIG_SHELL=/bin/bash; export CONFIG_SHELL
  $CONFIG_SHELL ./configure ...

Hope that helps.

Cheers,
Ralf

2008-02-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Do not override $SHELL late in configure.ac.
	Use undocumented Autoconf interface _AS_DETECT_SUGGESTED to
	require $(...) command replacement.

--- configure.ac.orig	2008-02-05 23:30:12.000000000 +0100
+++ configure.ac	2008-02-05 23:39:34.000000000 +0100
@@ -482,21 +482,9 @@
 dnl kludge end
 
 dnl check for b0rked Solaris (and other shells) and find one that works
-AC_MSG_CHECKING(for a working shell...)
-for i in /usr/xpg6/bin/sh /usr/xpg4/bin/sh /usr/ccs/bin/sh /bin/sh /usr/bin/sh /bin/ksh /bin/bash /usr/local/bin/bash ; do
-    $i -c 'if ! false ; then echo $(echo ok) ; fi' >config.$$ 2>/dev/null
-    j=`cat config.$$`
-    rm -f config.$$
-    if test "x$j" = "xok" ; then
-        SHELL=$i
-        AC_SUBST(SHELL)
-        break
-    fi
-done
-AC_MSG_RESULT($SHELL)
-if test "x$SHELL" = "x" ; then
-    AC_MSG_ERROR(no SUS compliant shell found - on Solaris, install SUNWxcu4)
-fi
+_AS_DETECT_SUGGESTED([echo $(echo ok) > config.$$ 2>/dev/null
+		      j=`cat config.$$`; rm -f config.$$
+		      test "x$j" = "xok"])
 
 case "$target_cpu:$target_os" in
 	(alpha*:linux*)




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Ralf Wildenhues <Ralf.Wildenhues@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #80 received at 447022@bugs.debian.org (full text, mbox):

From: Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
To: Clint Adams <schizo@debian.org>, Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Tue, 5 Feb 2008 23:52:28 +0100
That should've been _AS_DETECT_REQUIRED instead of _AS_DETECT_SUGGESTED,
sorry.

2008-02-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Do not override $SHELL late in configure.ac.
	Use undocumented Autoconf interface _AS_DETECT_REQUIRED to
	require $(...) command replacement.

--- configure.ac.orig	2008-02-05 23:30:12.000000000 +0100
+++ configure.ac	2008-02-05 23:49:50.000000000 +0100
@@ -482,21 +482,9 @@
 dnl kludge end
 
 dnl check for b0rked Solaris (and other shells) and find one that works
-AC_MSG_CHECKING(for a working shell...)
-for i in /usr/xpg6/bin/sh /usr/xpg4/bin/sh /usr/ccs/bin/sh /bin/sh /usr/bin/sh /bin/ksh /bin/bash /usr/local/bin/bash ; do
-    $i -c 'if ! false ; then echo $(echo ok) ; fi' >config.$$ 2>/dev/null
-    j=`cat config.$$`
-    rm -f config.$$
-    if test "x$j" = "xok" ; then
-        SHELL=$i
-        AC_SUBST(SHELL)
-        break
-    fi
-done
-AC_MSG_RESULT($SHELL)
-if test "x$SHELL" = "x" ; then
-    AC_MSG_ERROR(no SUS compliant shell found - on Solaris, install SUNWxcu4)
-fi
+_AS_DETECT_REQUIRED([echo $(echo ok) > config.$$ 2>/dev/null
+		      j=`cat config.$$`
+		      test "x$j" = "xok"])
 
 case "$target_cpu:$target_os" in
 	(alpha*:linux*)




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #85 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Colin Watson <cjwatson@debian.org>, 447022@bugs.debian.org, bug-libtool@gnu.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Tue, 5 Feb 2008 18:11:37 -0500
On Tue, Feb 05, 2008 at 11:52:28PM +0100, Ralf Wildenhues wrote:
> That should've been _AS_DETECT_REQUIRED instead of _AS_DETECT_SUGGESTED,
> sorry.

Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#447022; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #90 received at 447022@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 447022@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libtool shell feature checks run with wrong shell
Date: Tue, 5 Feb 2008 18:12:42 -0500
reassign 447022 fakeroot 1.9.2
quit




Bug reassigned from package `libtool' to `fakeroot'. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 05 Feb 2008 23:18:13 GMT) Full text and rfc822 format available.

Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Clint Adams <schizo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #97 received at 447022-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 447022-close@bugs.debian.org
Subject: Bug#447022: fixed in fakeroot 1.9.3
Date: Wed, 06 Feb 2008 00:17:02 +0000
Source: fakeroot
Source-Version: 1.9.3

We believe that the bug you reported is fixed in the latest version of
fakeroot, which is due to be installed in the Debian FTP archive:

fakeroot_1.9.3.dsc
  to pool/main/f/fakeroot/fakeroot_1.9.3.dsc
fakeroot_1.9.3.tar.gz
  to pool/main/f/fakeroot/fakeroot_1.9.3.tar.gz
fakeroot_1.9.3_amd64.deb
  to pool/main/f/fakeroot/fakeroot_1.9.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated fakeroot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 05 Feb 2008 18:55:36 -0500
Source: fakeroot
Binary: fakeroot
Architecture: source amd64
Version: 1.9.3
Distribution: unstable
Urgency: medium
Maintainer: Clint Adams <schizo@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 fakeroot   - Gives a fake root environment
Closes: 447022
Changes: 
 fakeroot (1.9.3) unstable; urgency=medium
 .
   * configure.ac: patch from Ralf Wildenhues to not override $SHELL
     late in configure.ac, by means of undocumented Autoconf interface
     _AS_DETECT_REQUIRED to require $(...) command replacement.
     closes: #447022.
Files: 
 e0968e4c4ebe0ccc8a7345ce62839dcd 811 utils optional fakeroot_1.9.3.dsc
 d96c9bf27590d6da4215f0af998f1ee9 393232 utils optional fakeroot_1.9.3.tar.gz
 c551d9d1d668773294aeb1c19f1d0180 115272 utils optional fakeroot_1.9.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Debian!

iD8DBQFHqPpz5m0u66uWM3ARAnjJAKCb5LnpqhkfYcCY6ErDxhZtpSAMdQCdGzGJ
leDK/mQfNymLQnvBajbcEiY=
=0rFV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Mar 2008 07:27:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:24:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.